> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm a mass payment instruction

Confirm (commit) mass payment instructions, which can be hold because `auto_commit` was false, or because there were some errors.

You have to confirm a mass payment instruction when

1. The auto\_commit field is set to false,
2. The auto\_commit field is set to true and errors are identified at the time of processing request.

> [!WARNING]
>
> Please note that a mass payment can be only confirmed when the mass payment status is “processed”, otherwise a 400 Bad request error will be returned. When hitting this endpoint, the new payment status will change to “creating”.


## OpenAPI

````yaml /openapi/ebury-api-public.json post /mass-payments/{mass_payment_id}/confirm
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://api.ebury.io
    description: Production
  - url: https://api.ebury.builders
    description: Sandbox
security: []
paths:
  /mass-payments/{mass_payment_id}/confirm:
    post:
      tags:
        - Mass Payments
      summary: Confirm a mass payment instruction
      description: >-
        Confirm (commit) mass payment instructions, which can be hold because
        `auto_commit` was false, or because there were some errors.
      parameters:
        - $ref: '#/components/parameters/MassPaymentId'
        - $ref: '#/components/parameters/ClientId'
        - $ref: '#/components/parameters/Authorization'
      responses:
        '202':
          description: Masspayment confirmation accepted, see response body for status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MassPaymentConfirmResponse'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/ClientNotFound'
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    MassPaymentId:
      description: The ID of the mass payment.
      in: path
      name: mass_payment_id
      required: true
      schema:
        type: string
    ClientId:
      description: The identifier of a client.
      in: query
      name: client_id
      required: true
      schema:
        type: string
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
  schemas:
    MassPaymentConfirmResponse:
      properties:
        mass_payment_status:
          $ref: '#/components/schemas/EnumMassPaymentStatus'
    EnumMassPaymentStatus:
      description: This is an enumeration of the status of a MassPayment
      enum:
        - Queued for processing
        - Processing
        - Processed
        - Queued for creating
        - Creating
        - Created
        - Cancelled
        - Failed
      type: string
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  responses:
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Forbidden:
      description: >-
        Could not complete action due to data constraints. Refer to error
        message for additional details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    ClientNotFound:
      description: Client identifier not found.
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'

````